Bug 155328 - [repocopy] prefix devel/common-msgs and math/geometry with 'ros-'
Summary: [repocopy] prefix devel/common-msgs and math/geometry with 'ros-'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-06 23:10 UTC by Rene Ladan
Modified: 2011-05-03 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2011-03-06 23:10:07 UTC
With the latest release of devel/ros, this port has been split into four parts by its authors (devel/ros itself and three new parts). Therefore, repocopy:
- devel/ros-documentation
- devel/ros-rx
- devel/ros_comm

While here, rename:
- devel/common_msgs to devel/ros-common_msgs
- math/geometry to math/ros-geometry
so that all ROS-related ports start with 'ros'
Comment 1 Edwin Groothuis freebsd_committer 2011-03-06 23:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Rene Ladan freebsd_committer 2011-03-06 23:19:29 UTC
Responsible Changed
From-To: rene->portmgr

portmgr wants PRs for repocopies
Comment 3 Rene Ladan freebsd_committer 2011-03-11 21:50:08 UTC
I made the patches for the two renames.

Should the comment in the first line of Makefile also be updated or only
the PORTNAME ?
Comment 4 Rene Ladan freebsd_committer 2011-05-01 21:27:25 UTC
In hindsight, the first part about splitting devel/ros into four related
ports does not make sense, because the split-off ports do not exist
upstream in the currently ported version (1.2.X).
Comment 5 Rene Ladan freebsd_committer 2011-05-01 21:28:17 UTC
State Changed
From-To: open->repocopy

Repocopy request
Comment 6 Joe Marcus Clarke freebsd_committer 2011-05-02 04:58:55 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2011-05-02 04:58:55 UTC
Responsible Changed
From-To: portmgr->rene

Repocopy complete.
Comment 8 dfilter service freebsd_committer 2011-05-03 20:56:41 UTC
rene        2011-05-03 19:56:24 UTC

  FreeBSD ports repository

  Modified files:
    devel/ros_comm       Makefile distinfo pkg-descr pkg-plist 
    devel/ros-common_msgs Makefile distinfo pkg-descr pkg-plist 
    devel/ros-documentation Makefile distinfo pkg-descr pkg-plist 
    devel/ros-rx         Makefile distinfo pkg-descr pkg-plist 
    math/ros-geometry    Makefile distinfo pkg-descr pkg-plist 
  Log:
  Forced commit to note repocopy:
  - devel/ros_comm, devel/ros-documentation, and devel/ros-rx cloned from
    devel/ros (to follow the upstream 1.4 versions, WIP)
  - devel/common_msgs -> devel/ros-common_msgs and
    math/geometry -> math/ros-geometry for consistency (now all ROS ports
    start with 'ros')
  PR:             ports/155328
  Repocopy by:    marcus
  Submitted by:   myself
  
  Revision  Changes    Path
  1.3       +0 -0      ports/devel/ros-common_msgs/Makefile
  1.2       +0 -0      ports/devel/ros-common_msgs/distinfo
  1.2       +0 -0      ports/devel/ros-common_msgs/pkg-descr
  1.3       +0 -0      ports/devel/ros-common_msgs/pkg-plist
  1.12      +0 -0      ports/devel/ros-documentation/Makefile
  1.7       +0 -0      ports/devel/ros-documentation/distinfo
  1.3       +0 -0      ports/devel/ros-documentation/pkg-descr
  1.9       +0 -0      ports/devel/ros-documentation/pkg-plist
  1.12      +0 -0      ports/devel/ros-rx/Makefile
  1.7       +0 -0      ports/devel/ros-rx/distinfo
  1.3       +0 -0      ports/devel/ros-rx/pkg-descr
  1.9       +0 -0      ports/devel/ros-rx/pkg-plist
  1.12      +0 -0      ports/devel/ros_comm/Makefile
  1.7       +0 -0      ports/devel/ros_comm/distinfo
  1.3       +0 -0      ports/devel/ros_comm/pkg-descr
  1.9       +0 -0      ports/devel/ros_comm/pkg-plist
  1.4       +0 -0      ports/math/ros-geometry/Makefile
  1.2       +0 -0      ports/math/ros-geometry/distinfo
  1.2       +0 -0      ports/math/ros-geometry/pkg-descr
  1.3       +0 -0      ports/math/ros-geometry/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Rene Ladan freebsd_committer 2011-05-03 20:58:16 UTC
State Changed
From-To: open->closed

Forced commit done